==============
 bootcdbackup
==============

-----------------------------------------------------------------------
use existing bootcd, add backup of running system, and write new bootcd
-----------------------------------------------------------------------

:Author: bernd.schumacher@hpe.com
:Date: 2019-12-16
:Copyright: gpl3
:Version: 0.1
:Manual section: 1
:Manual group: bootcd utils

SYNOPSIS
========
**bootcdbackup** [**-i|-s|-m**] [**-d** *debug_runtime_config*] -- [**-h|--help**]
  [**-y|--yes**] [**-c|--conf** *CONF*] [*--variable_from_bootcdwrite.conf(5)* *value*]

DESCRIPTION
===========

**bootcdbackup** is used to backup a *source linux system* to 
a *new bootcd* with help help of an *existing bootcd*. 

To restore the backup, the *new bootcd* can be booted and the command
**bootcd2disk** can be called with option **-c /backup/bootcd2disk.conf**.

The source linux system does not necessarily need to be **debian**.
An existing **bootcd** is needed.

To make an online backup, an *existing bootcd* has to be 
mounted on the running *source linux system* and the command **bootcdbackup** 
from the mounted *existing bootcd* can be called.

To make an offline backup, the *source linux system* has to be stopped and
booted from an *existing bootcd*. Then the source linux system
can be mounted to a *mountpoint* and **bootcdbackup** can be called with
option **--SRCDISK** *mountpoint*.

In difference to **bootcdwrite** the backup can not run as life cd.
Only the *new bootcd*, that contains the backup and the configuration file
**bootcd2disk.conf** in directory **/backup** can run as life cd.

OPTIONS
=======

**-i|-s|-m**

  Run bootcdwrite in interactive, silent or minimal control mode.
  See shellia(1) for this standard **shellia** options.

**-d** *debug_runtime_config*

  Run bootcdwrite in debug mode.
  See shellia(1) for this standard **shellia** options.

**-h|--help**

  print help and exit

**-y|--yes**

  answer always yes

**-c|--conf** *CONF*

  variables or functions listed in **bootcdwrite.conf(5)** can be defined
  in the file *CONF*.
  Default::

    CONF=/etc/bootcd/bootcdwrite.conf

*--variable_from_bootcdwrite.conf(5)* *value*

  variables or functions listed in **bootcdwrite.conf(5)** can be overwritten
  from command line. For example a variable called *VARIABLE* will get the
  value *VALUE* with the option: *--VARIABLE* *VALUE*

SEE ALSO
========

bootcd(7), bootcdwrite(1), bootcd2disk(1), bootcdflopcp(1),
bootcdmk2diskconf(1), bootcdwrite.conf(5), bootcd2disk.conf(5)
